//------------------------------------------------------------
//                   AD7992.H
//                      ADC
//                   06.02.2007
//                 Robert Tyrakowski
//------------------------------------------------------------

#define wr 0
#define rd 1

#define sdaadc P0_16
#define scladc P0_22
#define adc_start P0_21

#define SDAADC_DIR_OUT  GPIO_IODIR0 |= sdaadc
#define SDAADC_DIR_IN   GPIO_IODIR0 &= ~sdaadc

#define SCLADC_High  GPIO_IOSET0 |= scladc
#define SCLADC_Low   GPIO_IOCLR0 |= scladc

#define SDAADC_High  GPIO_IOSET0 |= sdaadc
#define SDAADC_Low   GPIO_IOCLR0 |= sdaadc
// data position is bit 16
#define SDAADC_IN  (GPIO_IOPIN0 & sdaadc) >> 16
//#define SDAADC_IN  (GPIO_IOPIN0 & sdaadc) >> 19

#define AD7992_CONVST_high GPIO_IOSET0 |= adc_start
#define AD7992_CONVST_low GPIO_IOCLR0 |= adc_start

//-----------------------------------------------------------------------------
// AD7992 0x37
#define AD7992_addr 0x20
#define AD7992_convreg 0x02
#define AD7992_convres 0x00

#define pyrano_everagecount 100

//-----------------------------------------------------------------------------
// configuration byte        7    6    5  4     3      2   1   0
//									  0    1    0  1     1      0   0   0
//									     REFIN  Vin1   FLT on   No BSY/ALT
//#define AD7992_config 0x58

// configuration byte        7    6    5  4     3      2   1   0
//									  0    1    0  1     1      0   1   0
//									     REFIN  Vin1   FLT on
#define AD7992_config 0x5A
// prototypes

#define Vref25 2.5

void AD7992_Start(void);
u_int Init_AD7992_Config(void);
u_int Read_AD7992(u_int bytecount);
